apt-private-prepare(1)

NAME
apt-private-prepare - encoder of repositories for apt-transport-private(8).

SYNOPSIS
apt-private-prepare [-o ORIGIN] [-s DIR] [-d DIR] [-c FILE] [-h] [-v]

DESCRIPTION
apt-private-prepare is a tool that can be used to prepare an encrypted APT repository that can be made accessible using the apt-transport-private(8) package.

OPTIONS
-o ORIGIN
    Name of the repository. By this name, the repository is identified in both configuration files, namely in /etc/apt/private.conf and /etc/apt/sources.list.
-s DIR
    Source directory containing the unencrypted APT repository.
-d DIR
    Destination directory into which the repository should be encrypted.
-c FILE
    Path to the configuration file. This parameter is optional. If it is not specified, the default value '/etc/apt/private.conf' is used. See private.conf(5) for more information about structure of the file.
-h
    Show usage information and exit.
-v
    Show version number and exit.

LIMITATIONS
At this point, there are some limitations that limit you to some preset values and available algorithms:

•   The repository encoder is not suitable for big repositories since there is no mechanism for incremental updating. Even the smallest change requires regeneration of the whole repository.

•   The method uses only the AES cipher and no other.

LICENSE AND WARRANTY
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
apt-transport-private(8), private.conf(5).